// SPDX-FileCopyrightText: Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: EUPL-1.2

mod args;

use anyhow::Result;
use args::Args;
use clap::Parser as _;
use env_logger::Env;

fn main() -> Result<()> {
    let logging_env = Env::default().default_filter_or("info");
    env_logger::Builder::from_env(logging_env).init();

    let _args = Args::try_parse()?;
    Ok(())
}
